2D distributions in the HistFactory? - pyhf

How can I specify in the construction of the HistFactory the signal and background to be 2-dimensional distributions?
I have understood than in RooStats you need to change the TH1 to a TH2.
At the moment to write my model in the json file can I use a ndarray to do something similar?.
Which is the correct way to do this?
I hope someone can help me and thank you in advance.

Currently the best way is to unroll the distributions e.g.
{'data': 2darray.ravel().tolist()}
Since mathematically it doesn't make any difference.
If you want to convert from XML+ROOT this is not yet supported (but could be). If so, please open an issue on GitHub.
Thanks for using pyhf!

Related

pyhf: POI application using formula

I am trying to write a likelihood model in which the POI affects two samples, but while one I have the regular POI*yield, the other I have f(POI)*yield where f is an arbitrary function.
Is there a simple way to implement that in pyhf?
Thanks in advance.
pyhf currently does not support it, but it's something that is on our mind. Can you open an issue on our github with this as a feature request and we can work out how to do it.

Internationalization-packages for Scene-Builder?

I saw the possibility to change the Internationalization of Scene Builder. But I did not find somewhere suitable language packages. May somebody of you have been faced by same kind of intention? For any hints in this matter I would be grateful.
With best regards
Peter
I checked by the way the possibility to change the language of the scene-builder-menu with use of google. The result of my investigation is: It is not possible to be done by a standard kind of user. Sorry, I did not expect this result. Anyway, I learned by. Thank you very much for the time an efforts you spend to bring me onto the right way to get an answer in regard to the question i did publish in before. Thank you.

What is the way to get curves from AcDbRegion?

In the ObjectARX application I'm using AcDbRegion::createFromCurves to create a region and works OK.
Now I need to get subentities when I have the AcDbRegion. I mean something similar to AcDbHatch::getLoopAt
Can anybody point the way to get solution?
you should use AcDbEntity::explode
http://help.autodesk.com/view/OARX/2018/ENU/?guid=OREF-AcDbEntity__explode_AcDbVoidPtrArray__const

How to encrypt one image inside another?

I am looking for encryption mechanism (algorithm) to encrypt one meaningful image inside another, or one text inside another. Is it possible? please refer me to some existing works and algorithms.
Thanks in advance. :)
I believe you're looking for steganography. It's a broad topic, but the Wikipedia article will get you started.

How to make a power point presentation like this

maybe this is not the correct forum where to post this question, but i've serched for two weeks in the web, without results.
I need to make a kind of power point presentation, something like this - do know which program can i use?
Thank you
I think, that tool used for this prezentation can be find on
http://prezi.com/
This is called infographics and you can use website like visual.ly/
Then, you have to do your own effects

Resources